(require 'util-tree-sitter)

(use-package bash-ts-mode
  :ensure nil
  :commands (bash-ts-mode)
  :hook (
         (bash-ts-mode . (lambda ()
                           (flymake-mode +1)
                           )))
  :init
  (add-to-list 'major-mode-remap-alist '(sh-mode . bash-ts-mode))
  (add-to-list 'treesit-language-source-alist '(bash "https://github.com/tree-sitter/tree-sitter-bash"))
  (unless (treesit-ready-p 'bash) (treesit-install-language-grammar 'bash))
  )

(provide 'lang-bash)
