(use-package dockerfile-ts-mode
  :pin manual
  :mode (
         ("Dockerfile\\'" . dockerfile-ts-mode)
         )
  :commands (dockerfile-mode dockerfile-ts-mode)
  :init
  (add-to-list 'major-mode-remap-alist '(dockerfile-mode . dockerfile-ts-mode))
  (add-to-list 'treesit-language-source-alist '(dockerfile "https://github.com/camdencheek/tree-sitter-dockerfile"))
  (unless (treesit-ready-p 'dockerfile) (treesit-install-language-grammar 'dockerfile))
  )

(provide 'lang-dockerfile)
