# unpackPhase
# patchPhase
# configurePhase
# buildPhase
# checkPhase
# installPhase
# fixupPhase
# installCheckPhase
# distPhase
{
  stdenv,
  fetchgit,
  ...
}:
stdenv.mkDerivation {
  name = "ansible-sshjail";
  src = fetchgit {
    url = "https://github.com/austinhyde/ansible-sshjail.git";
    rev = "a7b0076fdb680b915d35efafd1382919100532b6";
    sha256 = "sha256-4QX/017fDRzb363NexgvHZ/VFKXOjRgGPDKKygyUylM=";
  };
  phases = [
    "installPhase"
  ];
  installPhase = ''
    runHook preInstall

    mkdir -p $out/share/ansible/plugins/connection_plugins
    cp $src/sshjail.py $out/share/ansible/plugins/connection_plugins/

    runHook postInstall
  '';
}
