{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [ ];

  config = lib.mkMerge [
    {
      me.distributed_build.enable = true;
      me.distributed_build.machines.hydra = {
        enable = true;
        additional_config = {
          speedFactor = 2;
        };
      };
      me.distributed_build.machines.quark = {
        enable = true;
        additional_config = {
          speedFactor = 2;
        };
      };
    }
  ];
}
