{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    chromecast.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install chromecast.";
    };
  };

  config = lib.mkIf config.me.chromecast.enable (
    lib.mkMerge [
      {
        environment.systemPackages = with pkgs; [
          catt
        ];
      }
      (lib.mkIf config.me.graphical {
      })
    ]
  );
}
