(progn
  (setq make-backup-files nil auto-save-default nil create-lockfiles nil)
  (load-theme 'tango-dark t)
  (set-face-attribute 'default nil :background "black")
  ;; Bright yellow highlighting for selected region
  (set-face-attribute 'region nil :background "#ffff50" :foreground "black")
  ;; Bright green cursor to distinguish from yellow region
  (set-cursor-color "#ccff66")
  ;; Hightlight the current line
  (set-face-attribute 'line-number-current-line nil :foreground "white")
  ;; Set default font
  (set-face-attribute 'default nil :height 100 :width 'regular :weight 'regular :family "Cascadia Mono")
  ;; Set fallback font for unicode glyphs
  (when (display-graphic-p)
    (set-fontset-font "fontset-default" nil (font-spec :name "Noto Color Emoji")))
  (menu-bar-mode -1)
  (when (fboundp 'tool-bar-mode)
    (tool-bar-mode -1))
  (when (  fboundp 'scroll-bar-mode)
    (scroll-bar-mode -1))
  (pixel-scroll-precision-mode)
  (setq frame-resize-pixelwise t)
  )
