#!/usr/bin/env bash
#
# Launch sway
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

export XDG_CURRENT_DESKTOP=sway
export WLR_RENDERER=vulkan

# Enable wayland support for electron (vscode)
export ELECTRON_OZONE_PLATFORM_HINT=wayland

# Enable wayland support for firefox
export MOZ_ENABLE_WAYLAND=1

# Enable dark theme
# export QT_STYLE_OVERRIDE=adwaita-dark

exec sway -d &> $HOME/.config/swaylog
