(require 'common-lsp)

(use-package cmake-mode
  :commands cmake-mode
  :hook (
         (cmake-mode . (lambda ()
                         (eglot-ensure)
                         (defclass my/eglot-cmake (eglot-lsp-server) ()
                           :documentation
                           "Own eglot server class.")

                         (add-to-list 'eglot-server-programs
                                      '(cmake-mode . (my/eglot-cmake "cmake-language-server")))
                         ))
         )
  )

(provide 'lang-cmake)
