{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  config = lib.mkIf config.me.graphical {
    fonts = {
      enableDefaultPackages = false;
      packages = with pkgs; [
        cascadia-code
        source-sans-pro
        source-serif-pro
        noto-fonts-cjk-sans
        noto-fonts-cjk-serif
        noto-fonts-color-emoji
      ];

      fontconfig = {
        localConf = (builtins.readFile ./files/fonts.conf);
        useEmbeddedBitmaps = true;
      };
    };
  };
}
