{
  config,
  lib,
  pkgs,
  ...
}:

let
  force_focus_sway_config = pkgs.writeTextFile {
    name = "force_focus.conf";
    text = ''
      mode "force focus" {
          bindsym $mod+Shift+Escape fullscreen; mode "default"
      }
      bindsym $mod+Shift+f fullscreen; mode "force focus"
    '';
  };
in
{
  imports = [ ];

  config = lib.mkIf (config.me.graphical && config.me.sway.enable) {
    me.swayIncludes = [
      force_focus_sway_config
    ];
  };
}
